/*
 * Copyright (c) 2025. Sergey S. Chernov - All Rights Reserved
 *
 *  You may use, distribute and modify this code under the
 * terms of the private license, which you must obtain from the author
 *
 * To obtain the license, contact the author: https://t.me/real_sergeych or email to
 * real dot sergeych at gmail.
 */

package net.sergeych.crypto2

/**
 * Marker interface: anything that is a key of some sort and can be identified
 * with [KeyId].
 *
 * Note that to be keyring-capable it should inherit from [UniversalKey]
 */
interface KeyInstance {
    val id: KeyId
}

